autoweka

## Class Wrapper

- java.lang.Object
- - autoweka.Wrapper

- Direct Known Subclasses:
    SMACWrapper, SubProcessWrapper

      public class Wrapper
      extends java.lang.Object

  Generic class that gets called from an SMBO method, completes the evaluation, and returns the result back up to the SMBO method. The command line arguments for these wrappers consist of two portions, a number of options that specify seeds/properties that relate to the wrapper itself, followed by the -wrapper argument. Depending on the SMBO method, this is where you specify the datasetString that you want to pass off to the InstanceGenerator, along with any other options that are required. The remainder of the arguments after the sub classes have processed the -wrapper are going to be passed off to the classifier runner for evaluation. There are a number of 'events' that occur during the run of a wrapper - if you need to do something special here you should just be able to override these and inject the correct behaviour as needed

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `mExperimentSeed`
    `protected java.lang.String` | `mInstance`
    `protected java.util.Properties` | `mProperties`
    `protected java.lang.String` | `mResultMetric`
    `protected ClassifierRunner` | `mRunner`
    `protected float` | `mTimeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Wrapper()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ClassifierResult` | `_doRun(java.util.List<java.lang.String> runnerArgs)`
    `protected void` | `_postRun()`
    `protected void` | `_preRun()`
    `protected void` | `_processParameter(java.lang.String arg, java.util.Queue<java.lang.String> args)`
    `protected void` | `_processResults(ClassifierResult res)`
    `protected void` | `_processWrapperParameterStart(java.util.Queue<java.lang.String> args)`
    `void` | `run(java.lang.String[] argsArray)` Runs the wrapper with the given command line arguments - see the class description for full details

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mExperimentSeed

          protected java.lang.String mExperimentSeed

    - #### mInstance

          protected java.lang.String mInstance

    - #### mTimeout

          protected float mTimeout

    - #### mRunner

          protected ClassifierRunner mRunner

    - #### mProperties

          protected java.util.Properties mProperties

    - #### mResultMetric

          protected java.lang.String mResultMetric

  - ### Constructor Detail

    - #### Wrapper

          public Wrapper()

  - ### Method Detail

    - #### run

          public void run(java.lang.String[] argsArray)

      Runs the wrapper with the given command line arguments - see the class description for full details
      Parameters:
        `argsArray` - The list of arguments.

    - #### _doRun

          protected ClassifierResult _doRun(java.util.List<java.lang.String> runnerArgs)

    - #### _processWrapperParameterStart

          protected void _processWrapperParameterStart(java.util.Queue<java.lang.String> args)

    - #### _processParameter

          protected void _processParameter(java.lang.String arg,
                                           java.util.Queue<java.lang.String> args)

    - #### _preRun

          protected void _preRun()

    - #### _postRun

          protected void _postRun()

    - #### _processResults

          protected void _processResults(ClassifierResult res)